import numpy as N
cimport numpy as N                          # needed for numpy ndarray def

cdef extern:                                # Cython definition of C function
    void cmandel(int *col,int ny,int nx,int maxi)

# the crucial thing here: we're telling cython that "esc" is a numpy array
# of ints of order 2; this allows cython to extract the pointer to pass to C

# note (unfortunately) we cannot repeat the cmandel name here
def pyxmandel(N.ndarray[int,ndim=2] esc,maxi):
    # extract the location of the array data and the length of the dimensions
    cmandel(<int*>esc.data,esc.shape[0],esc.shape[1],maxi)
