/* declare the name of the extension module */
%module swigmandel

/* build as a Python extension; include any C header
   that would be needed by the wrapper */
%{
    #define SWIG_FILE_WITH_INIT
    #include "cmandel.h"
%}

/* boilerplate if we need to interface with numpy arrays; the header is found at
   https://github.com/numpy/numpy/blob/master/doc/swig/numpy.i */
%include "numpy.i"

%init %{
    import_array();
%}

/* including a C header file will make all of its functions available in Python;
   but first we need to instruct the wrapper to extract the dimensions of the 
   array and pass them to the C code; this is known as a SWIG typemap */

%apply (int* INPLACE_ARRAY2, int DIM1, int DIM2) {(int *esc,int ny,int nx)};
%include "cmandel.h"

